//<c>   Copyright 1994-1999 by Gerry J. Danen; all rights reserved.

//<t>   Change NetWare's X:.; to X:\;

//      Compiled with Microsoft C 8.00. Requires DANEN library to recompile.
//      Source released into the Public Domain.

#include"gd_tools.h"
#include"gd_extrn.h"


#define pgVERS_ "V3.00"
#define pgTITL_ "Fix NetWare Path"
#define pgCOPR_ "1994"


void    main( int argc, char *argv[] )
{
    UCHAR       path[256], new_path[256]="", part1[256], part2[256], temp[256], brk[] = ";" ;
    FILE        *fh ;
    int         subs = 0 ;

    tt_init( SHAREWARE_VERSION, 0, pgVERS_, pgTITL_, pgCOPR_ );
    logon(0);

    st_get_env_var( "temp", temp, sizeof(temp), "c:\\dos", YES );
    sprintf( path, "\\$%-7.7s", get_global_program_name() );
    st_trim( path );
    ST_CAT ( path, ".bat" );
    strupr ( path );
    ST_CAT ( temp, path );

    st_get_env_var( "path", path, sizeof(path), "", YES );
    SplitString( path, brk, part1, part2 );
    while ( strlen(part1) )
    {
        strcpy( path, part2 );                  // set up for next "while"
        if ( strlen(part1) == 3 )
        {
            if ( part1[1]==':' && part1[2]=='.' )
            {
                part1[2] = '\\' ;
                subs += 1 ;
            }
        }
        ST_CAT( new_path, part1 );
        ST_CAT( new_path, ";" );
        SplitString( path, brk, part1, part2 );
    }

    printf( "Path is %d characters long\n", 5+strlen(new_path) );
    printf( "%d `.' substituted for `\\'\n", subs );

    fh = fopen( temp, "w" );
    if ( fh )
    {
        fprintf( fh, "@echo off\n path %s\n :\n"
                     " : Created by %s %s on %s %s %s\n"
                     " : %s\n",
                     new_path,
                     get_global_program_name(), pgm_vers,
                     TodaysDay(), TodaysDate(), TodaysTime(),
                     pgm_copyrite );
        fclose ( fh );
        printf( "Batch file %s created\n", temp );
    }

    exit( 0 );
}
